﻿import urllib.request, urllib.parse, urllib.error
import urllib.parse
import sys
import xbmc
import xbmcgui
import xbmcplugin
import xbmcaddon
import os
import subprocess

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])
args = urllib.parse.parse_qs(sys.argv[2][1:])
addon = xbmcaddon.Addon()

def build_url(query):
    return base_url + '?' + urllib.parse.urlencode(query)

homatics = xbmcaddon.Addon('plugin.program.homatics')

addon_icon = 'special://home/addons/plugin.program.homatics/icon.png'

mode = args.get('mode', None)

if mode is None:

    url = build_url({'mode': 'red', 'foldername': 'LEDs red'})
    li = xbmcgui.ListItem('set kit to red ...')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)

    url = build_url({'mode': 'blue', 'foldername': 'LEDs blue'})
    li = xbmcgui.ListItem('set kit to blue ...')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)

    url = build_url({'mode': 'green', 'foldername': 'LEDs green'})
    li = xbmcgui.ListItem('set kit to green ...')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)
    
    url = build_url({'mode': 'purple', 'foldername': 'LEDs purple'})
    li = xbmcgui.ListItem('set kit to purple ...')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)
    
    url = build_url({'mode': 'yellow', 'foldername': 'LEDs yellow'})
    li = xbmcgui.ListItem('set kit to yellow ...')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)
    
    xbmcplugin.endOfDirectory(addon_handle)

elif mode[0] == 'red':
    subprocess.call(['sh', './storage/.kodi/addons/plugin.program.homatics/autostart_red.sh'])

elif mode[0] == 'blue':
    subprocess.call(['sh', './storage/.kodi/addons/plugin.program.homatics/autostart_blue.sh'])
    
elif mode[0] == 'green':
    subprocess.call(['sh', './storage/.kodi/addons/plugin.program.homatics/autostart_green.sh'])
     
elif mode[0] == 'purple':
    subprocess.call(['sh', './storage/.kodi/addons/plugin.program.homatics/autostart_purple.sh'])
    
elif mode[0] == 'yellow':
    subprocess.call(['sh', './storage/.kodi/addons/plugin.program.homatics/autostart_yellow.sh'])